Name:           perl-POE-Filter-Zlib
Version:        1.8
Release:        1%{?dist}
Summary:        POE filter wrapped around Compress::Zlib

# note license definition in Makefile.PL
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/POE-Filter-Zlib/
Source0:        http://www.cpan.org/authors/id/B/BI/BINGOS/POE-Filter-Zlib-%{version}.tar.gz

# just to be thurough, see also: 
Source1:        LICENSE.readme

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Compress::Zlib) >= 1.34
BuildRequires:  perl(POE) >= 0.3501
BuildRequires:  perl(Test::Pod), perl(Test::Pod::Coverage)

# this is missed in a classic "use base POE..." situation
Requires:       perl(POE::Filter)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
POE::Filter::Zlib provides a POE filter for performing compression and 
uncompression using Compress::Zlib. It is suitable for use with
POE::Filter::Stackable.

%prep
%setup -q -n POE-Filter-Zlib-%{version}

# deal with our licensing....
cp %{SOURCE1} .
perldoc perlgpl      > COPYING.gpl
perldoc perlartistic > COPYING.artistic

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc README LICENSE* COPYING*
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Dec 15 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.8-1
- update to 1.8

* Fri Sep 29 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.7-1
- update to 1.7, basically just clarifies some licensing bits

* Wed Sep 13 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.6-1
- update to 1.6

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.5-1
- update to 1.5
- add new BR's (Test::Pod && Test::Pod::Coverage) for testing

* Wed Sep 06 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.4-2
- bump

* Fri Sep 01 2006 Chris Weyl <cweyl@alumni.drew.edu> 1.4-1
- Specfile autogenerated by cpanspec 1.69.1.
